Subject: [Newsclips] IETF SYN-ACK Newspack 2022-03-22

From: "David Goldstein" <[email-masked]>
Date: Mon, 28 Mar 2022 14:45:19 +1100

The IETF SYN-ACK Newspack collects IETF-related items from a variety of news outlets and other online publications. They do not represent the views of the IETF and are not checked for factual accuracy.

**********************

IETF IN THE NEWS

**********************

Interview: Joost Demarest on what the IoT means for the KNX community

In this exclusive interview with KNXtoday, KNX Association CFO & CTO, Joost Demarest explains what the IoT means to the worldwide KNX community, how KNX Association is driving development in this area and what we can expect next. ... KNXtoday: What are the prerequisites of a building control system that uses the IoT? JD: For a building control system to be part of the IoT, it must be able to provide data not in its own exotic way, but in a way that is easily digestible by IT systems, i.e. machines. It must be accessible via protocols that are designed by the IETF, even if, within the building control system, a proprietary protocol is used. If you were to compare this to spoken languages, this would be like possibly speaking a specific language within an ecosystem, but when talking to the IoT, you must speak English.

< <https://www.knxtoday.com/2022/03/41294/interview-joost-demarest-on-what-the-iot-means-for-the-knx-community.html> https://www.knxtoday.com/2022/03/41294/interview-joost-demarest-on-what-the-iot-means-for-the-knx-community.html>

Notes from the IEPG meeting at IETF 113

The IETF met in a hybrid format in March 2022 for IETF 113. Here are my impressions from the IEPG meeting at the start of the week. The IEPG meets on the Sunday at the beginning of the IETF week. If there is a theme for the diverse collection of presentations here it is perhaps a focus on operational topics, but the particular selection of subjects in these sessions can be quite diverse.

< <https://blog.apnic.net/2022/03/25/notes-from-the-iepg-meeting-at-ietf-113/> https://blog.apnic.net/2022/03/25/notes-from-the-iepg-meeting-at-ietf-113/>

Revocation

A Public Key Infrastructure (PKI) is a system designed to support the use of public/private keyed digital signatures through a system of structured transitive trust. The objective of a PKI is to enable trusted communications between parties who may have never directly met and may not necessarily even know each other at all.

< <https://www.potaroo.net/ispcol/2022-03/revocation.html> https://www.potaroo.net/ispcol/2022-03/revocation.html>

The State of Real-Time Streaming 2022

If anyone in the industry accidentally slept through the past 13 years, it might have been easy to miss the major blip we've had in terms of delivering at-scale, low-latency streaming video. After all, in 2009, Roger Pantos introduced the first draft specification for HTTP Live Streaming (HLS). ... Pantos is still around and is still working on that draft specification. Version 23 of the "Pantos spec" became RFC 8216 in 2017, when the request for comments stage that is often the last step to finalize a specification into a more formal IETF standard was met with no objections for the use of HLS for on-demand content delivery at scale.

< <https://www.streamingmedia.com/Articles/Editorial/Featured-Articles/The-State-of-Real-Time-Streaming-2022-152089.aspx> https://www.streamingmedia.com/Articles/Editorial/Featured-Articles/The-State-of-Real-Time-Streaming-2022-152089.aspx>

IAB Re-Selects Mirja Kühlewind as IAB Chair

The IAB has re-selected Mirja Kühlewind as the IAB Chair for 2022-2023. The IAB thanks Mirja for her continued service in this role.

< <https://www.iab.org/2022/03/21/iab-re-selects-mirja-kuhlewind-as-iab-chair/> https://www.iab.org/2022/03/21/iab-re-selects-mirja-kuhlewind-as-iab-chair/>

Simulating Host Identity Protocol-Based Virtual Private LAN Service Using Mininet Framework

While building HIP-switches (the switches that are deployed at the border of a network) we came across several challenges. First, we understood that HIP-switches need to support the IEEE 802.1D protocol (or its modification - this really depends on the version of the protocol supported by the switches) to avoid L2 loops in the network. This problem was initially addressed in the relevant IETF draft.

< <https://www.linuxjournal.com/content/simulating-host-identity-protocol-based-virtual-private-lan-service-using-mininet-framework> https://www.linuxjournal.com/content/simulating-host-identity-protocol-based-virtual-private-lan-service-using-mininet-framework>

Entrust announces four solutions to help enterprises prepare for the post quantum world

Entrust announced four new solutions aimed at helping organizations prepare for the security challenges and opportunities presented by quantum computers. ... “Post-quantum computing is an inevitable threat to cybersecurity. While it is unclear when exactly the post-quantum threat will become real, it is generally expected to occur within the decade. The migration to quantum-safe algorithms can take several years, so the time to prepare for post-quantum is now,” said Anudeep Parhar, Chief Information Officer at Entrust. “Entrust is at the forefront of post-quantum cryptography. We are participating members of the IETF, and we are also participants in the NIST PQ competition. Through growth initiatives and investment in solutions like those announced today, we are helping our customers today to prepare for tomorrow.”

< <https://www.helpnetsecurity.com/2022/03/25/entrust-four-new-solutions/> https://www.helpnetsecurity.com/2022/03/25/entrust-four-new-solutions/>

HP printers carry code execution bug

... LLMNR was created in 2007 by Microsoft (documented at the IETF here) to provide DNS-like name resolution on local area network where no DNS server is present.

< <https://www.itnews.com.au/news/hp-printers-carry-code-execution-bug-577730> https://www.itnews.com.au/news/hp-printers-carry-code-execution-bug-577730>

IETF und RIPE diskutieren über Internet-Sanktionen gegen Russland [IETF and RIPE discuss Internet sanctions against Russia]

Über mögliche Internet-Sanktionen gegen Russland wird unter Netzwerkbetreibern und Ingenieuren lebhaft gestritten. Am Dienstag diskutierten auf Einladung der Adressverwaltung RIPE etwa 140 Teilnehmer virtuell die Frage, welche Rolle die Community spielen sollte. Parallel wies eine Arbeitsgruppe der IETF auf einem Treffen in Wien nach harter Debatte einen Vorschlag ab, an einer Art "Beipackzettel" zu arbeiten, der Wirkungen und Nebenwirkungen von Eingriffen ins Routing oder DNS beschreibt.

< <https://www.heise.de/news/IETF-und-RIPE-streiten-ueber-Internet-Sanktionen-fuer-Russland-6613629.html> https://www.heise.de/news/IETF-und-RIPE-streiten-ueber-Internet-Sanktionen-fuer-Russland-6613629.html>

¿Qué es el IPv6 y por qué tarda tanto en adoptarse? [What is IPv6 and why does it take so long to adopt?]

... Afortunadamente, el Grupo de Trabajo de IETF lo reconoció hace casi 25 años. En 1998, creó el IPv6, que en su lugar utiliza un direccionamiento de 128 bits para soportar aproximadamente 340 trillones de trillones (o 2 a la 128ª potencia). En lugar del método de direcciones IPv4 de cuatro grupos de números de uno a tres dígitos, IPv6 utiliza ocho grupos de cuatro dígitos hexadecimales, separados por dos puntos.

< <https://www.computerworld.es/tecnologia/que-es-el-ipv6-y-por-que-tarda-tanto-en-adoptarse> https://www.computerworld.es/tecnologia/que-es-el-ipv6-y-por-que-tarda-tanto-en-adoptarse>

Che cos’è IPv6 e perché la sua adozione richiede così tanto tempo? [What is IPv6 and why does it take so long to adopt?]

... Fortunatamente, l’IETF ha riconosciuto il problema quasi 25 anni fa e, nel 1998, ha creato IPv6, che invece utilizza l’indirizzamento a 128 bit per supportare 3,4×10 alla 38esima indirizzi. Invece del metodo dell’indirizzo IPv4 di quattro serie di numeri da una a tre cifre, IPv6 utilizza otto gruppi di quattro cifre esadecimali separati da due punti.

< <https://www.cwi.it/networking/ipv6-definizione-adozione-lenta-144951> https://www.cwi.it/networking/ipv6-definizione-adozione-lenta-144951>

IPv6エンジニア育成を推進する「IPv6基礎検定」が2023年3月より通年実施、小川晃通氏著「プロフェッショナルIPv6第二版」が主教材 [The IPv6 Basic Test, which promotes the development of IPv6 engineers, has been conducted all year since March 2023, and "Professional IPv6 2nd Edition" by Mr. Koetsu Ogawa is the main teaching material]

... また現在、日本でのIPv6の普及率は約45％され、さらなる普及が急がれるなか、セキュリティーの確保も問題になっている。特にセキュリティー面で強化されているわけではないIPv6について、IETF（インターネット技術タスクフォース）が発表した「RFC 7381」（RFC 7381 – エンタープライズIPv6導入ガイドライン）では、「IPv6ネットワークを安全に運用するために必要な運用セキュリティの専門知識を持っている人がほとんどいない（中略）この運用上の専門知識の欠如は、IPv6を展開する際の最大の脅威」といった旨が記されている。そのため、IPv6をよく理解した技術者を増やすことが緊急の課題であり、それに対応すべく日本ネットワーク技術者協会は、技術者の育成を支援するこの検定試験を立ち上げた。

< <https://jp.techcrunch.com/2022/03/24/ipv6-certificate-exam/> https://jp.techcrunch.com/2022/03/24/ipv6-certificate-exam/>

盘后机会挖掘汇总：中国移动创上市以来新高！CXO概念走势强劲 亚太药业飚涨停 [After-hours opportunity mining summary: China Mobile hits a new high since its listing! CXO concept is trending strongly, Asia-Pacific pharmaceutical industry hits daily limit]

... IPv6是英文“Internet ProtocolVersion 6”(互联网协议第6版)的缩写，是互联网工程任务组(IETF)设计的用于替代IPv4的下一代IP协议，其地址数量号称可以为全世界的每一粒沙子编上一个地址。较于IPV4，IPV6具有更大的地址空间、用更小的路由表、具有更高的安全性和更好的头部格式，并且其增加了增强的组播支持以及对流的控制，使得网络上的多媒体应用有了长足发展的机会，为服务质量控制提供了良好的网络平台。除此之外，IPv6加入了对自动配置的支持。这是对DHCP协议的改进和扩展，使得网络的管理更加方便和快捷。

< <http://sc.stock.cnfol.com/gushizhibo/20220324/29520517.shtml> http://sc.stock.cnfol.com/gushizhibo/20220324/29520517.shtml>

< <https://stock.stockstar.com/SS2022032400000747.shtml> https://stock.stockstar.com/SS2022032400000747.shtml>

关于IPv9那些事 [Those things about IPv9]

... 我国IPv6规模部署工作呈现加速发展态势时，同时也出现了另一种声音，就是推广应用IPv9。“IPv6 协议是由IETF设计，主权一直由美国手控制；IPv9 协议是由上海十进制网络信息科技有限公司自主研发的，知识产权完全归属中国。”事实果真如此吗？

< <https://www.sohu.com/a/531812963_120654182> https://www.sohu.com/a/531812963_120654182>

**********************

SECURITY & PRIVACY

**********************

Increased email security using DMARC

Email is the most commonly used attack vector for phishing and fraud on the internet. Technical security measures are needed to prevent internet users from being left at the mercy of the risk, but while they do exist, introducing them is no trivial matter.

< <https://www.switch.ch/stories/Increased-email-security-using-DMARC/> https://www.switch.ch/stories/Increased-email-security-using-DMARC/>

Trusted Notifier Arrangements Require Trust: Why Unpacking Misunderstandings Around Trusted Notifiers Is Important for Dealing With DNS-related Abuse

DNS Operators (Registries and Registrars) receive notices asking them to take action on a wide range of alleged technical and content-related abuses. However, there is a fundamental question of when it is appropriate to act at the DNS level and the evaluation of whether the alleged abuse meets a sufficient threshold for action at the DNS level. Additionally, given the volume of abuses occurring on the internet, existing resources, mechanisms, and protocols available in-house to Operators are in many cases insufficient to address abuses in a timely fashion.

< <https://circleid.com/posts/20220321-trusted-notifier-arrangements-require-trust-why-unpacking-misunderstandings-around-trusted-notifiers> https://circleid.com/posts/20220321-trusted-notifier-arrangements-require-trust-why-unpacking-misunderstandings-around-trusted-notifiers>

How legacy IPv6 addresses can spoil your network privacy

A single device within an IPv6 home network can reduce the privacy of every computer, handheld, and other gadget on that network, enabling all devices to be tracked around the internet, even those with IPv6 privacy protections.

< <https://www.theregister.com/2022/03/22/legacy_ipv6_addressing_standard_enables/> https://www.theregister.com/2022/03/22/legacy_ipv6_addressing_standard_enables/>

DNSSEC algorithms for TLDs (and everyone else)

DNS Security Extensions (DNSSEC, RFC 4035) protect the integrity of DNS data in transit over the open Internet. DNSSEC protects validating clients from both on-path tampering and off-path spoofing of responses to DNS queries.

< <https://blog.apnic.net/2022/03/24/dnssec-algorithms-for-tlds-and-everyone-else/> https://blog.apnic.net/2022/03/24/dnssec-algorithms-for-tlds-and-everyone-else/>

Call for Participation – ICANN DNSSEC and Security Workshop for ICANN74 Policy Forum

Do you have information about DNS security or routing security that you would like to share with the global community? Have you developed a new tool or system in this area? Do you have results from a research project that you want to share with a technical community? If so, please consider submitting a proposal to the DNSSEC and Security workshop to be held at ICANN 74 in June 2022.

< <https://circleid.com/posts/20220324-call-for-participation-icann-dnssec-and-security-workshop-for-icann74-policy-forum> https://circleid.com/posts/20220324-call-for-participation-icann-dnssec-and-security-workshop-for-icann74-policy-forum>

Domain Name Security Threat Information Collection and Reporting (DNSTICR)

< <https://www.icann.org/en/system/files/files/dnsticr-31jan22-en.pdf> https://www.icann.org/en/system/files/files/dnsticr-31jan22-en.pdf>

ICANN Publishes DNS Abuse Trends by Samaneh Tajalizadehkhoob

DNS abuse is one of the most important discussions for the ICANN community to have and ICANN is the right place to discuss issues related to technical abuse. However, depending on what you mean by DNS abuse, some types may not fall within ICANN's responsibility as the technical coordinator of the DNS. ICANN is not the Internet's content police. Instead, ICANN org has a program focused on DNS security threats, which adhere to ICANN's technical role and capabilities.

< <https://www.icann.org/en/blogs/details/icann-publishes-dns-abuse-trends-22-03-2022-en> https://www.icann.org/en/blogs/details/icann-publishes-dns-abuse-trends-22-03-2022-en>

Cyber Attacks from Chinese IPs on NATO Countries Surge by 116%

Last week, Check Point Research (CPR) observed an increase in cyber attacks aimed for NATO countries that were sourced from Chinese IP addresses. CPR examined the trend before and after Russia’s invasion into Ukraine, learning that cyber attacks from Chinese IPs jumped by 116% on NATO countries, and 72% world-wide. CPR can not attribute the cyber attacks to the Chinese entities or to any known Chinese threat actor. The observation indicates a trend that hackers, likely within China and abroad, are increasingly using Chinese IPs as a resource to launch cyber attacks after the advent of the Russia-Ukraine conflict.

< <https://blog.checkpoint.com/2022/03/21/cyber-attacks-from-chinese-ips-on-nato-countries-surge-by-116/> https://blog.checkpoint.com/2022/03/21/cyber-attacks-from-chinese-ips-on-nato-countries-surge-by-116/>

**********************

INTERNET OF THINGS

**********************

The Internet of Things (part 1) – interoperability and its limits: how Afnic proposes to respond

As a major Internet player and DNS expert, Afnic has been working for more than ten years on projects related to the Internet of Things (IoT). While numerous technologies are emerging in the IoT sector, it is nonetheless interesting to note that there remains much room for improvement and indeed for constructing the platforms that are essential to its widespread adoption.

< <https://www.afnic.fr/en/observatory-and-resources/expert-papers/the-internet-of-things-part-1-interoperability-and-its-limits-how-afnic-proposes-to-respond/> https://www.afnic.fr/en/observatory-and-resources/expert-papers/the-internet-of-things-part-1-interoperability-and-its-limits-how-afnic-proposes-to-respond/>

How Internet of Things technology reduces operational costs for mines

Industry 4.0 has enabled mining and tunnelling industries to optimise operations beyond what we thought was possible. With a focus on safety and productivity, technology continues to develop and facilitate effective operations, but with these advancements come concerns about change and making new investments.

< <https://www.mining-technology.com/sponsored/how-internet-of-things-technology-reduces-operational-costs-for-mines/> https://www.mining-technology.com/sponsored/how-internet-of-things-technology-reduces-operational-costs-for-mines/>

ZED paves the way for a battery-free Internet of Things

A smart doorbell, a smart thermostat, or smart lighting. You see them more and more. Appliances that we can control from a distance or that even function autonomously. They are all examples of the ‘Internet of Things‘ (IoT). Sensors provide the connection between appliances and data systems. These need power. In a setting like an airplane, that’s not so convenient, because power often entails a battery, and a battery means weight.

< <https://innovationorigins.com/en/zed-paves-the-way-for-a-battery-free-internet-of-things/> https://innovationorigins.com/en/zed-paves-the-way-for-a-battery-free-internet-of-things/>

**********************

OTHERWISE NOTEWORTHY

**********************

Preserving the Internet by Vinton G. Cerf

The Internet has become a global, complex, layered, and increasingly indispensable ecosystem. For purposes of this column, "Internet" includes the underlying digital transport infrastructure including subsea and land-based fiber and cable, orbiting satellites, the networks of routers, the Domain Name System, datacenters and their networks, edge devices of all kinds (laptops, desktops, pads, smartphones, Internet-enabled devices, and sensors), the World Wide Web, content distribution systems and, for all I know, the kitchen sink. Adding to that are all the institutions associated with implementing, operating, standardizing, and regulating various aspects of this multifaceted construct. Not to be forgotten are all the organizations and individuals utilizing the Internet in their daily activities. Such a comprehensive definition explains why governments of the world have interest in and concerns about the Internet.

< <https://cacm.acm.org/magazines/2022/4/259388-preserving-the-internet/fulltext> https://cacm.acm.org/magazines/2022/4/259388-preserving-the-internet/fulltext>

ICANN Hosts Webinar on UN and ITU Discussions Affecting the Internet

ICANN has announced that it will hold a webinar on issues impacting the Internet that are being discussed at the United Nations (U.N.) and the ITU. The event will take place on 12 April 2022 at 20:00 UTC through the Zoom online platform.

< <https://www.icann.org/en/announcements/details/icann-hosts-webinar-on-un-and-itu-discussions-affecting-the-internet-23-03-2022-en> https://www.icann.org/en/announcements/details/icann-hosts-webinar-on-un-and-itu-discussions-affecting-the-internet-23-03-2022-en>

Artificial intelligence: the EU needs to act as a global standard-setter 

Parliament’s Special Committee on Artificial Intelligence in a Digital Age (AIDA) adopted its final recommendations on Tuesday, concluding 18 months of inquiries. The adopted text says that the public debate on the use of artificial intelligence (AI) should focus on this technology’s enormous potential to complement humans. The text warns that the EU has fallen behind in the global race for tech leadership. As a result, there is a risk that standards will be developed elsewhere in the future, often by non-democratic actors, while the EU needs to act as a global standard-setter in AI.

< <https://www.europarl.europa.eu/news/en/press-room/20220318IPR25801/artificial-intelligence-the-eu-needs-to-act-as-a-global-standard-setter> https://www.europarl.europa.eu/news/en/press-room/20220318IPR25801/artificial-intelligence-the-eu-needs-to-act-as-a-global-standard-setter>

Systems Abstractions by Peter J. Denning

Abstractions, the mental constructs that organize thinking to expedite the design and construction of reliable computations, are often heralded as bedrock principles of computational thinking. We lamented that the CT curricula for K–12, being intended for beginners, give few hints at the kinds of abstraction that computing professionals use in their work. A step in the direction of exposing more advanced abstractions was taken when the 2021 Turing Award celebrated the programming language and compiler abstractions devised by Alfred Aho and Jeff Ullman. In this column, I would like to continue with examples of abstractions that were invented for operating systems and spread into the rest of computing.

< <https://cacm.acm.org/magazines/2022/4/259395-systems-abstractions/fulltext> https://cacm.acm.org/magazines/2022/4/259395-systems-abstractions/fulltext>

On 6G and Trustworthiness by Gerhard P. Fettweis, Holger Buche

The first two generations of cellular—1G/2G—enabled ubiquitous voice connectivity. 3G/4G enabled broadband Internet. Even generations introduced services for business customers, and odd generations democratized them for consumers. 5G is enabling network-controlled robotics and XR, the Tactile Internet for business verticals, and 6G will democratize this for consumers.

< <https://cacm.acm.org/magazines/2022/4/259406-on-6g-and-trustworthiness/fulltext> https://cacm.acm.org/magazines/2022/4/259406-on-6g-and-trustworthiness/fulltext>

Internet of Production: Entering Phase Two of Industry 4.0 by Gertrude Kappel, Christian Brecher, Matthias Brockmann, István Koren

Making a high-quality gear cannot be learned simply from an Internet search. You may find guidelines, papers, rules, lectures, and videos. However, applying this general knowledge to a specific production process and dealing with uncertainties and disruptions requires special know-how, most of which resides in people's heads and networks and is acquired to a large extent through "learning by doing."

< <https://cacm.acm.org/magazines/2022/4/259401-internet-of-production/fulltext> https://cacm.acm.org/magazines/2022/4/259401-internet-of-production/fulltext>

Engineers Say “Nyet” to Doing Business in Russia, Survey Says: Tech professionals also take personal action in support of Ukraine, via donations, activism, and hacktivism

Get my company out of Ukraine! That’s the sentiment expressed by 64 percent of tech professionals responding to a survey conducted by Blind at the request of IEEE Spectrum. (Blind operates private social networks for verified tech employees.) Respondents in Europe were more likely to answer “Yes,” but many engineers at most companies surveyed supported an exit.

< <https://spectrum.ieee.org/support-for-ukraine> https://spectrum.ieee.org/support-for-ukraine>

Quick Analysis – The Impact of Efforts to Disconnect Russia from the Internet

As the conflict in Ukraine evolves, various governments, organizations, and companies are considering sanctions to thwart Russia’s invasion. Increasingly, sanctions and other proposed measures have involved directly or indirectly disconnecting ordinary Russian users from the global Internet.

< <https://www.internetsociety.org/resources/doc/2022/quick-analysis-the-impact-of-efforts-to-disconnect-russia-from-the-internet/> https://www.internetsociety.org/resources/doc/2022/quick-analysis-the-impact-of-efforts-to-disconnect-russia-from-the-internet/>

What Is the Splinternet? And Why You Should Be Paying Attention

The word “Splinternet” is making headlines everywhere, a result of the forces now holding the world’s attention. It sounds obscure, but it could have a profound impact on how we live. So what is it?

< <https://www.internetsociety.org/blog/2022/03/what-is-the-splinternet-and-why-you-should-be-paying-attention/> https://www.internetsociety.org/blog/2022/03/what-is-the-splinternet-and-why-you-should-be-paying-attention/>

Industry and regulators collaborate to foster meaningful connectivity

Digital transformation can only become a reality through concerted action that mobilizes broad support, including from the private sector. This was the key takeaway from a consultative meeting of industry leaders in the tech sector last month at the ITU.

< <https://www.itu.int/hub/2022/03/industry-regulators-meaningful-connectivity-iagdi-cro/> https://www.itu.int/hub/2022/03/industry-regulators-meaningful-connectivity-iagdi-cro/>

APNIC announces ‘hybrid’ APNIC 54 conference in Singapore

APNIC is pleased to announce that APNIC 54 will include a face-to-face event in Singapore in September 2022.

< <https://blog.apnic.net/2022/03/24/apnic-announces-hybrid-apnic-54-conference-in-singapore/> https://blog.apnic.net/2022/03/24/apnic-announces-hybrid-apnic-54-conference-in-singapore/>

PAM2022: your chance to learn about the latest developments in internet measurements

The 2022 Passive and Active Measurement Conference (PAM2022) is about to start. SIDN Labs is proudly hosting this virtual conference, the seventeenth edition of which takes place this year. If you haven't registered yet, please hurry! Registration is free.

< <https://www.sidnlabs.nl/en/news-and-blogs/pam2022-your-chance-to-learn-about-the-latest-developments-in-internet-measurements> https://www.sidnlabs.nl/en/news-and-blogs/pam2022-your-chance-to-learn-about-the-latest-developments-in-internet-measurements>

------

David Goldstein

email:  <mailto:[email-masked]> [email-masked]

web:  <http://goldsteinreport.com/> http://goldsteinreport.com/

Twitter:  <https://twitter.com/goldsteinreport> https://twitter.com/goldsteinreport

phone: +61 418 228 605 - mobile; +61 2 9663 3430 - office/home